Crossconnect lite and LPC1768 issue

Comments

11 comments

  • Avatar
    ANUP HALRNKAR

    Hi Roger,

    I am also using teh NGX board with 1768 & it works fine with Crossconnect.  It is possible that the Interface JTAG circuitry on NGX board is faulty. ie improperly soldered pull up resistors. Just try to touch up with a soldering gun. It should work.

    0
    Comment actions Permalink
  • Avatar
    Roger Hill

    Hi ANUP,

    Thanks for the information. I have checked the solder joints and looked for shorts etc, but no luck so far.

    I have also Emailed NGX to let them know of the issue.

    Many thanks again,

    Roger...

     

     

     

    0
    Comment actions Permalink
  • Avatar
    Jon Elliott

    Are you using the latest version of the CrossConnect lite firmware?

    Updates can be downloaded from the CrossConnect for ARM web page.

    0
    Comment actions Permalink
  • Avatar
    Roger Hill

    Hi Jon,

    Possibly not, I have not upgraded the firmware since Paul sent the Crossconnect late last year. 

    Just tried running the update and got a message saying that the attached Crossconnect is not compatable with the update.

    Have I got the correct update for the Crossconnect Lite I downloaded the Windows version from the Crosconnect page ?

    Thanks, Roger...

     

    0
    Comment actions Permalink
  • Avatar
    Roger Hill

    Hi Again Jon,

    I just checked the firmware version currently on the Lite, it is : Version 2.2 Build: 21 September 2009.

    Cheers, Roger...

     

    0
    Comment actions Permalink
  • Avatar
    Jon Elliott

    >Just tried running the update and got a message saying that the attached Crossconnect is not compatable with the update.

    It could be that you have an early version of the CrossConnect Lite - I believe devices with serial numbers prior to 04020000 cannot be upgraded.

    0
    Comment actions Permalink
  • Avatar
    Roger Hill

    I have Serial Number 04010007.

    With that serial number and firware version, does that mean that it is incompattible with the LPC1768?

     

    Thanks, Roger...

     

    0
    Comment actions Permalink
  • Avatar
    Jon Elliott

    I haven't been able to verify it but I suspect this is the case. Certainly, CrossConnect Lite works fine with an LPC1768 with the latest firmware (v2.13).

    I'm afraid you'll need to send it back to us if you want it updated.

    0
    Comment actions Permalink
  • Avatar
    Roger Hill

    Thanks Jon,

    I have Emailed Paul to discuss the options.

     

    Regards, Roger...

     

    0
    Comment actions Permalink
  • Avatar
    Peter Alexander Wilson

    I'm a linux user, how can I check the firmware version on my Crossconeect lite  (I have a crossconnect classic that works fine with the SWD adapter after I updated its firmware), but the firmware updater simply complains about "The connected CrossConnect is not supported by the Crossconnect updater" (and then my keyboard and mouse start behaving very erratically :-/ , looks like it causes some USB issues) . But is doesn't seem to tell me anything about current or available firmware versions anywhere....

    Peter

    0
    Comment actions Permalink
  • Avatar
    Jon Elliott

    Peter,

    Unfortunately the "CrossConnect is not supported by CrossConnect Update" message indicates that you have one of the early versions of the CrossConnect Lite that could not have its firmware updated and therefore cannot be updated by the CrossConnect updater application. This also means that it does not support SWD.

    If you have a JTAG target you can connect to, the firmware version information is visible in the CrossStudio target properties window when connected.

    0
    Comment actions Permalink

Please sign in to leave a comment.